<template>
  <div class="page-body page-body-default">
    <div
      class="empty"
      :class="border ? 'empty-bordered' : ''"
      style="padding-top: 8rem"
    >
      <div v-if="image" class="empty-img-lg">
        <img :src="image" height="128" />
      </div>
      <p v-if="title" class="empty-title">{{ title }}</p>
      <p v-if="description" class="empty-subtitle text-muted">
        {{ description }}
      </p>
      <div class="empty-action">
        <slot name="primary-button"></slot>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: '',
    },
    description: {
      type: String,
      default: '',
    },
    image: {
      type: String,
      default: '',
    },
    border: {
      type: Boolean,
      default: false,
    },
  },
};
</script>
